Bug 6256 - Aliases rewriting in modprobe
: Aliases rewriting in modprobe
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/modutils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-12 18:56 by
Modified: 2007-02-17 11:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-12 18:56:35
На ядре 2.6.10 отвалился irda на ноутбуке (на 2.6.9 - нормально). После
краткого
расследования выяснилось, что не загружается модуль irtty_sir. После добавления
'alias tty-ldisc-11 irtty_sir' в /etc/modules.conf всё начало работать, модуль
стал загружаться.

Проблема следующая - встроенные в /sbin/modprobe алиасы перебивают системные:
$ strings /sbin/modprobe|grep irtty
tty-ldisc-11 irtty

# fgrep irtty /lib/modules/2.6.10-wks26-up-alt5/modules.alias
alias tty-ldisc-11 irtty_sir

Проблема наблюдается на modutils-2.4.27-alt3
------- Comment #1 From 2005-05-26 21:40:19 -------
подтверждается
------- Comment #2 From 2005-11-07 04:31:35 -------
Ядерные они перебивают алиасы, а не системные.
Тоже не подарок, конечно.
------- Comment #3 From 2007-02-17 11:47:13 -------
http://lists.altlinux.org/pipermail/sisyphus/2007-January/092482.html
=> WONTFIX, как понимаю.